var typeSafeSize = function (size) {
    if (typeof size === 'string') {
        return parseFloat(size);
    }
    return size;
};
export var positioning = function () {
    var params = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        params[_i] = arguments[_i];
    }
    switch (params.length) {
        case 1: {
            var all = typeSafeSize(params[0]);
            return {
                top: all,
                right: all,
                bottom: all,
                left: all,
            };
        }
        case 2: {
            var vertical = typeSafeSize(params[0]);
            var horizontal = typeSafeSize(params[1]);
            return {
                top: vertical,
                right: horizontal,
                bottom: vertical,
                left: horizontal,
            };
        }
        case 3: {
            var horizontal = typeSafeSize(params[1]);
            return {
                top: typeSafeSize(params[0]),
                right: horizontal,
                bottom: typeSafeSize(params[2]),
                left: horizontal,
            };
        }
        case 4: {
            return {
                top: typeSafeSize(params[0]),
                right: typeSafeSize(params[1]),
                bottom: typeSafeSize(params[2]),
                left: typeSafeSize(params[3]),
            };
        }
        default: {
            throw new Error('Unsupported position value');
        }
    }
};
